com.hazelcast.spi

## Class DefaultObjectNamespace

- java.lang.Object
- - com.hazelcast.spi.DefaultObjectNamespace

- All Implemented Interfaces:
    DataSerializable, ObjectNamespace, ServiceNamespace
  Direct Known Subclasses:
    DistributedObjectNamespace

  Deprecated.
  please use `DistributedObjectNamespace`

      @Deprecated
      public class DefaultObjectNamespace
      extends Object
      implements ObjectNamespace

  Default `ObjectNamespace` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `objectName` Deprecated.
    `protected String` | `service` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultObjectNamespace()` Deprecated.
    `DefaultObjectNamespace(ObjectNamespace namespace)` Deprecated.
    `DefaultObjectNamespace(String serviceName, String objectName)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `String` | `getObjectName()` Deprecated. Gets the object name within the service.
    `String` | `getServiceName()` Deprecated. Name of the service
    `int` | `hashCode()` Deprecated.
    `void` | `readData(ObjectDataInput in)` Deprecated. Reads fields from the input stream
    `String` | `toString()` Deprecated.
    `void` | `writeData(ObjectDataOutput out)` Deprecated. Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### service

          protected String service

      Deprecated.

    - #### objectName

          protected String objectName

      Deprecated.

  - ### Constructor Detail

    - #### DefaultObjectNamespace

          public DefaultObjectNamespace()

      Deprecated.

    - #### DefaultObjectNamespace

          public DefaultObjectNamespace(String serviceName,
                                        String objectName)

      Deprecated.

    - #### DefaultObjectNamespace

          public DefaultObjectNamespace(ObjectNamespace namespace)

      Deprecated.

  - ### Method Detail

    - #### getServiceName

          public String getServiceName()

      Deprecated.
      Description copied from interface: `ServiceNamespace`
      Name of the service
      Specified by:
        `getServiceName` in interface `ServiceNamespace`
      Returns:
        name of the service

    - #### getObjectName

          public String getObjectName()

      Deprecated.
      Description copied from interface: `ObjectNamespace`
      Gets the object name within the service.
      Specified by:
        `getObjectName` in interface `ObjectNamespace`
      Returns:
        the object name within the service

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Deprecated.
      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Deprecated.
      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### equals

          public final boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.